###########################################################
# $Id: Makefile.am,v 1.11 2005-12-11 16:48:02 tobibobi Exp $
# $Log: Makefile.am,v $
# Revision 1.11  2005-12-11 16:48:02  tobibobi
# *** empty log message ***
#
# Revision 1.10  2005/12/11 16:23:34  tobibobi
# *** empty log message ***
#
# Revision 1.9  2005/12/11 16:16:19  tobibobi
# *** empty log message ***
#
# Revision 1.8  2005/12/11 16:12:06  tobibobi
# *** empty log message ***
#
# Revision 1.7  2005/12/10 17:42:21  tobibobi
# *** empty log message ***
#
# Revision 1.6  2005/12/10 15:16:35  tobibobi
# *** empty log message ***
#
# Revision 1.5  2005/12/06 15:26:31  tobibobi
# *** empty log message ***
#
# Revision 1.4  2005/11/29 21:17:13  tobibobi
# - Changed protocol so the flags for broadcast was correct
# - Added comments to almost all files.
#
###########################################################

SUBDIRS=net sys

bin_PROGRAMS=protocolTest protocolServer
check_PROGRAMS=protocolTest
TESTS=protocolTest

noinst_HEADERS=defaults.h


protocolTest_SOURCES=protoclient.cpp
protocolTest_LDADD=\
	net/librobotnetwork.la \
	sys/libthreads.la \
	sys/libsystem.la


protocolServer_SOURCES=protoserver.cpp
protocolServer_LDADD=\
	net/librobotnetwork.la \
	sys/libthreads.la \
	sys/libsystem.la

AM_CFLAGS=-Wall -Werror

INDENTFLAGS=-bad -bap -bbb -br -bs -ce -cs -lp -prs

indent: Makefile
	find -name \*.c\* -exec indent ${INDENTFLAGS} {} \;
	find -name \*.h\* -exec indent ${INDENTFLAGS} {} \;